#ifndef __CG_VEHICLES_H__
#define __CG_VEHICLES_H__

#include "cg_local.h"

void CG_Vehicle( centity_t *cent );
void Cmd_SpawnVehicle_f(void);
void Cmd_ResetRotation_f(void);

void Cmd_VehicleTemplates_f(void);
void Cmd_Vehicles_f(void);

////////////////////////////////////
// vehicle array helper functions //
////////////////////////////////////
int VehicleArray_InitVehicleArray();

vehicle_t *VehicleArray_GetVehicleForId(int vehicleId);
int VehicleArray_SetVehicleForId(int vehicleId, vehicle_t *vehicle);

// the following functions dont actually add and remove anything,
// they just set the data in the array at the first clear index

// returns the vehicleId, not the index
int VehicleArray_AddVehicle(vehicle_t *vehicle);
int VehicleArray_RemoveVehicleForId(int vehicleId);

int VehicleTemplateArray_OutputTemplates();

#endif